
Foreman - Bug #14072

URL pre login is not respect

03/07/2016 06:47 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Web Interface   

Target version: 1.11.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3440

  

Description

when idle timeout is reach, a user is being redirected to login page.

in the past, foreman would remember the original url redirecting the user page post login to the original request url. this is no longer

working.

Related issues:

Has duplicate Foreman - Bug #14886: Clicking a link or visiting a url while l... Duplicate 04/29/2016

Associated revisions

Revision fb194fd6 - 04/21/2016 04:48 AM - Shlomi Zadok

Fixes #14072 - Use to_hash when requesting session original_uri

Revision 0c47aef4 - 04/26/2016 10:15 AM - Dominic Cleal

refs #14072 - fix test to check correct login return path

Revision f9a2fdc1 - 05/16/2016 10:02 AM - Shlomi Zadok

Fixes #14072 - Use to_hash when requesting session original_uri

(cherry picked from commit fb194fd649683b95c474bc903798d166fd5fa430)

History

#1 - 04/19/2016 08:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/3440 added

#2 - 04/21/2016 05:01 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset fb194fd649683b95c474bc903798d166fd5fa430.

#3 - 04/21/2016 05:47 AM - Dominic Cleal

- translation missing: en.field_release set to 155

#4 - 04/29/2016 10:40 AM - Dominic Cleal

- Has duplicate Bug #14886: Clicking a link or visiting a url while logged out does not properly redirect to original destination added
